apiVersion: v1
kind: Service
metadata:
  name: cloud-gateway-svc
  namespace: default
spec:
  ports:
    - name: gateway
      port: 9999
      protocol: TCP
      targetPort: 9999
  selector:
    app: cloud-gateway
  type: LoadBalancer